function g = Grad(female,x0,num_row,obs_1,obs_2,obs_3,obs_4,p_childMat )
    global  dh ;
    delta = abs(x0).*dh;   %Delta(i) defined relative to |x0(i)|
    for i = 1 : length(x0)
        if x0(i) == 0      % **Loop to avoid delta(i) = 0       
            delta(i)=dh;
        end
    end
    g=zeros(num_row,length(x0)); %Initialize (numrow x k) gradient matrix
    parfor i = 1 : length(x0)
        u = x0;  %  ** Reset the U vector                    
        u(i) = x0(i) + delta(i);
        f1 = lkhd_object_bhhh(female,u',obs_1,obs_2,obs_3,obs_4,p_childMat);     % **Evaluate the function with + delta(i)
        u(i) = x0(i) - delta(i);
        f2 = lkhd_object_bhhh(female,u',obs_1,obs_2,obs_3,obs_4,p_childMat );  % **Evaluate the function with - delta(i)  
        g(:,i) = (f1 - f2) / (2 * delta(i)); 
											%(ith param.(numobs x 1)
                                            %gradient vector                                                               
    end
end  

