clear all;
  
cd
matlabpool open 4

%select sample: female=1 is female
%select education group: college=1 is some college
for female=0:1
    for college=0:1
female
college
if female==1
%female sample
    if college==1
    load female_data11.raw 
    dataraw=female_data11;
    load p_child_data11.raw 
    p_childMat=p_child_data11;
%use the previously saved optimal values as starting values
    load 'final_params11';
    final_params2=final_params11
%load prevoiusly minimized function value
    load 'final_fval11';
    final_fval2=final_fval11
    elseif college==0
    load female_data10.raw 
    dataraw=female_data10;
    load p_child_data10.raw 
    p_childMat=p_child_data10;
%use the previously saved optimal values as starting values
    load 'final_params10';
    final_params2=final_params10
%load prevoiusly minimized function value
    load 'final_fval10';
    final_fval2=final_fval10 
    end
elseif female==0
    if college==1
    load female_data01.raw 
    dataraw=female_data01;
    load p_child_data01.raw 
    p_childMat=p_child_data01;
%use the previously saved optimal values as starting values
    load 'final_params01';
    final_params2=final_params01
%load prevoiusly minimized function value
    load 'final_fval01';
    final_fval2=final_fval01
    elseif college==0
    load female_data00.raw 
    dataraw=female_data00;
    load p_child_data00.raw 
    p_childMat=p_child_data00;
%use the previously saved optimal values as starting values
    load 'final_params00';
    final_params2=final_params00
%load prevoiusly minimized function value
    load 'final_fval00';
    final_fval2=final_fval00
    end
end
initCoefs=final_params2;

emp_cycle %generate data in employment cycles to use in ML

global store_coef;

%BHHH algorithm
global numobs iter_limit critic_limit do_step dh ;
iter_limit=50;
critic_limit=0.1;
do_step=0 ;
dh=0.01;
numobs= size(obs_1,1)+size(obs_2,1)+size(obs_3,1)+size(obs_4,1);
names = {'v_a0' 'lam_e' 'p_n' 'lam_d' 'v_e' 'alpha2' 'xi1' 'xi2' 'p_xi2' 'alpha1' ...
    'utype2' 'p_type2' 'b_c' 'b_urate' 'b_white' 'b_metro' 't_white' 't_married' 't_child'...
    'phi0' 'lam_e2' 'lam_d2'}';

[params, cov_betas, llf_vec] = max_bhhh(female, initCoefs', obs_1,obs_2,obs_3,obs_4,p_childMat,names);
fngval=-sum(llf_vec);
params=params';

final_params=params(end,:);
final_fval=fngval(end);

if female==1
    if college==1
    save('final_params11','final_params','-ASCII')
    save('final_fval11','final_fval','-ASCII')
    elseif college==0
    save('final_params10','final_params','-ASCII')
    save('final_fval10','final_fval','-ASCII')
    end
elseif female==0
    if college==1
    save('final_params01','final_params','-ASCII')
    save('final_fval01','final_fval','-ASCII')
    elseif college==0
    save('final_params00','final_params','-ASCII')
    save('final_fval00','final_fval','-ASCII')        
    end
end

    end
end

%*****************


