function l4 = loglkhd4(d,xiGrids,p_xi,lam_n,s_a0,a_bar1_all, dspell,child,max_type_i,p)

p_d=ones(max_type_i,1);
p_emp=ones(max_type_i,d);
%this is P(T0=0), unconditional on type
p_t0=0;
pu0_t0=zeros(1,max_type_i);

%loop over individual unobserved type
for type=1:max_type_i
if d>0
    for dd=1:d
        temp=zeros(xiGrids,1);            
        for q=1:xiGrids %consider two types of firms: first low type and then high type
        a_bar1=a_bar1_all( q,child(dd),type);
            temp(q)=lam_n*(1-normcdf(a_bar1,0,s_a0));
        end
        p_emp(type,dd)=p_xi*temp;
        %likelihood conditional on the individual type (observed and unobserved)
        p_d(type,1)= p_d(type,1)*(1-p_emp(type,dd));
    end
end
p_t0=p_t0+(1-p_emp(type,1))^dspell*p(type);
end

%now integrate out unobserved heterogeneity, using bayes' rule
for type=1:max_type_i
pu0_t0(1,type)=(1-p_emp(type,1))^dspell*p(type)/p_t0;
end
    l4 = pu0_t0*p_d;

    return


